{
  "version": 3,
  "cmakeMinimumRequired": {
    "major": 3,
    "minor": 19,
    "patch": 0
  },
  "configurePresets": [
    {
      "name": "win-vs2022-x64",
      "displayName": "Visual Studio 2022 (x64)",
      "generator": "Visual Studio 17 2022",
      "architecture": "x64",
      "binaryDir": "${sourceDir}/build"
    },
    {
      "name": "win-vs2019-x64",
      "displayName": "Visual Studio 2019 (x64)",
      "generator": "Visual Studio 16 2019",
      "architecture": "x64",
      "binaryDir": "${sourceDir}/build"
    },
    {
      "name": "win-nmake-release",
      "displayName": "NMake Release (только из «x64 Native Tools Command Prompt for VS»)",
      "generator": "NMake Makefiles",
      "binaryDir": "${sourceDir}/build-nmake",
      "cacheVariables": {
        "CMAKE_BUILD_TYPE": "Release"
      }
    }
  ],
  "buildPresets": [
    {
      "name": "win-release",
      "configurePreset": "win-vs2022-x64",
      "configuration": "Release"
    },
    {
      "name": "win-release-vs2019",
      "configurePreset": "win-vs2019-x64",
      "configuration": "Release"
    },
    {
      "name": "nmake-release",
      "configurePreset": "win-nmake-release"
    }
  ]
}
